Zum Inhalt springen
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Update a contact

Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.

Only the given fields change. A field value of null clears it.

PATCH/v1/contacts/{id}
Autorisierung
AuthorizationBearer-Token · headererforderlich

Workspace API key (bh_…).

Pfadparameter
idstringerforderlich
min. Länge 1
Request-Body
application/json
statusstring
Erlaubt:leadqualifiedcustomer
assignedTostring | null
Eigenschaften anzeigen
Mindestens eines von:
string
string
null
null
fieldsobject
Antworten
200

OK

idstringerforderlich
statusstringerforderlich
Erlaubt:leadqualifiedcustomer
assignedTostring | nullerforderlich
Eigenschaften anzeigen
Mindestens eines von:
string
string
null
null
fieldsobjecterforderlich
createdAtstring<date-time>erforderlich
updatedAtstring<date-time>erforderlich
lastActivityAtstring<date-time>erforderlich
Ausprobieren
Server
Autorisierung
Parameter
Bodyapplication/json
Anfrage
curl -X PATCH 'https://app.bauhow.com/api/v1/contacts/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "status": "lead",
  "assignedTo": "string",
  "fields": {
    "property1": "string",
    "property2": "string"
  }
}'
Antwort
{
  "id": "string",
  "status": "lead",
  "assignedTo": "string",
  "fields": {
    "property1": null,
    "property2": null
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "lastActivityAt": "2019-08-24T14:15:22Z"
}

War diese Seite hilfreich?